Get a SEPA Direct Debit subscription
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions/{direct_debit_subscription_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions/{direct_debit_subscription_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_subscriptions/{direct_debit_subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direct_debit_mandate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_collection_date": "2023-12-25",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"reference": "<string>",
"status": "pending",
"schedule_type": "one_off",
"notify_client": true,
"created_at": "2023-11-07T05:31:56Z",
"sign_url": "<string>"
}
}Subscriptions
Get a SEPA Direct Debit subscription
OAuth scope: sepa_direct_debit.read
Get a single SEPA Direct Debit subscription by ID.
GET
/
v2
/
sepa
/
direct_debit_subscriptions
/
{direct_debit_subscription_id}
Get a SEPA Direct Debit subscription
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The SEPA Direct Debit subscription ID
Response
The SEPA Direct Debit subscription has been retrieved successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I